io.etcd.jetcd.api

## Enum RequestOp.RequestCase

- java.lang.Object
- - java.lang.Enum<RequestOp.RequestCase>
  - - io.etcd.jetcd.api.RequestOp.RequestCase

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, Serializable, Comparable<RequestOp.RequestCase>

Enclosing class:
  RequestOp

    public static enum RequestOp.RequestCase
    extends Enum<RequestOp.RequestCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`REQUEST_DELETE_RANGE`
`REQUEST_NOT_SET`
`REQUEST_PUT`
`REQUEST_RANGE`
`REQUEST_TXN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static RequestOp.RequestCase` `forNumber(int value)`
`int` `getNumber()`
`static RequestOp.RequestCase` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static RequestOp.RequestCase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RequestOp.RequestCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REQUEST_RANGE

    public static final RequestOp.RequestCase REQUEST_RANGE

#### REQUEST_PUT

    public static final RequestOp.RequestCase REQUEST_PUT

#### REQUEST_DELETE_RANGE

    public static final RequestOp.RequestCase REQUEST_DELETE_RANGE

#### REQUEST_TXN

    public static final RequestOp.RequestCase REQUEST_TXN

#### REQUEST_NOT_SET

    public static final RequestOp.RequestCase REQUEST_NOT_SET

### Method Detail

#### values

    public static RequestOp.RequestCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RequestOp.RequestCase c : RequestOp.RequestCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RequestOp.RequestCase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static RequestOp.RequestCase valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The number of the enum to look for.
Returns:
  The enum associated with the given number.

#### forNumber

    public static RequestOp.RequestCase forNumber(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`